×

Discussion Board

Page 2 of 3 FirstFirst 123 LastLast
Results 16 to 30 of 31
  1. #16
    Regular Contributor
    Join Date
    Jan 2007
    Location
    Oulu, Finland
    Posts
    147

    Re: Python for S60 1.9.1 released

    No carbide 2.0 winscw support yet though
    Last edited by GameDude; 2009-02-01 at 18:40.

  2. #17
    Registered User
    Join Date
    Dec 2006
    Location
    São Paulo, Brazil
    Posts
    9

    Question Re: Python for S60 1.9.1 released

    I'm a PyS60 newbie and I'm having problems installing it on the emulator.
    I followed the instructions on the wiki, except that PyS60 SDK ZIP (Python_1.9.1_SDK_3rdEdFP1.zip) doesn't contain a sdkfiles.zip, it's already unzipped.

    When I try to run the Python application on the emulator, it says "Check if the following components are installed: Python Runtime and PIPS Library" and won't launch.

    Can someone help me with the installation? Thanks.

  3. #18
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by dserodio View Post
    I'm a PyS60 newbie and I'm having problems installing it on the emulator.
    I followed the instructions on the wiki, except that PyS60 SDK ZIP (Python_1.9.1_SDK_3rdEdFP1.zip) doesn't contain a sdkfiles.zip, it's already unzipped.

    When I try to run the Python application on the emulator, it says "Check if the following components are installed: Python Runtime and PIPS Library" and won't launch.

    Can someone help me with the installation? Thanks.
    You have to install the Open C plugins from here (the 41 MB file) and then install the Python SDK. That should fix it.

  4. #19
    Registered User
    Join Date
    Dec 2006
    Location
    São Paulo, Brazil
    Posts
    9

    Thumbs up Re: Python for S60 1.9.1 released

    Quote Originally Posted by bogdan.galiceanu View Post
    You have to install the Open C plugins from here (the 41 MB file) and then install the Python SDK. That should fix it.
    Thanks, that was it. I added it to the Wiki.

  5. #20
    Regular Contributor
    Join Date
    Jan 2007
    Location
    Oulu, Finland
    Posts
    147

    Re: Python for S60 1.9.1 released

    While porting pygame to 1.9.x, I noticed that the screen did not update as often as it should be. No problem with old 1.4.5 and estlib. The cause of the issue seems to be that floats do not work when passed as a parameter. The screen update works OK on the emulator but not on my E51.

    There seems to be a couple of float related bugs open in the bug tracker too.

    A simple test:

    Code:
    def test_float(value):
        print 1.9 + value
            
    test_float(0.1)
    test_float(0.2)
    test_float(0.4)
    test_float(0.5)
    test_float(1.0)
    In all, except the last one, the printed value is 1.0. If this would be a formatting issue, the value would be at least 2.0 in all cases. Happens on device, simulator seems to work ok.

    Tracker entry

  6. #21
    Regular Contributor
    Join Date
    Oct 2007
    Posts
    114

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by GameDude View Post
    <snip>

    A simple test:

    Code:
    def test_float(value):
        print 1.9 + value
            
    test_float(0.1)
    test_float(0.2)
    test_float(0.4)
    test_float(0.5)
    test_float(1.0)
    In all, except the last one, the printed value is 1.0. If this would be a formatting issue, the value would be at least 2.0 in all cases. Happens on device, simulator seems to work ok.

    Tracker entry
    Weird. I just tested this on both N95 and 5800 and it works fine. I get the values 2.0, 2.1, 2.3, 2.4, 2.9 as expected. Can you give more info about the test environment? Was this in English locale? Did you try it on devices other than E51?
    import antigravity

  7. #22
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,800

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by GameDude View Post
    While porting pygame to 1.9.x, I noticed that the screen did not update as often as it should be. No problem with old 1.4.5 and estlib. The cause of the issue seems to be that floats do not work when passed as a parameter. The screen update works OK on the emulator but not on my E51.

    There seems to be a couple of float related bugs open in the bug tracker too.

    A simple test:

    Code:
    def test_float(value):
        print 1.9 + value
            
    test_float(0.1)
    test_float(0.2)
    test_float(0.4)
    test_float(0.5)
    test_float(1.0)
    In all, except the last one, the printed value is 1.0. If this would be a formatting issue, the value would be at least 2.0 in all cases. Happens on device, simulator seems to work ok.

    Tracker entry
    Quick test done on interpreter, works as expected on N95 8G.
    Pankaj Nathani
    www.croozeus.com

  8. #23
    Regular Contributor
    Join Date
    Oct 2007
    Posts
    114

    Re: Python for S60 1.9.1 released

    Ah, found out the issue. Looks like a bug only on non-english locale(maybe when the decimal separator is not '.') . We are investigating the same.
    Last edited by ashwinurao; 2009-02-23 at 09:10.
    import antigravity

  9. #24
    Registered User
    Join Date
    Feb 2009
    Posts
    3

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by bogdan.galiceanu View Post
    You have to install the Open C plugins from here (the 41 MB file) and then install the Python SDK. That should fix it.
    I am also a PYS60 newbie.
    I've installed 1.91 Python runtime and shell packages on my E66.
    When I tryed to run the shell I received the same error message.
    "Check if the following components are installed: Python Runtime and PIPS Library"
    After uninstall, I've tried to install 1.91 FP2 edition of the runtime and the shell but with no succes, i.e. instalation wouldn't complete.

    Any help is appreciated.

  10. #25
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by apach91 View Post
    I am also a PYS60 newbie.
    I've installed 1.91 Python runtime and shell packages on my E66.
    When I tryed to run the shell I received the same error message.
    "Check if the following components are installed: Python Runtime and PIPS Library"
    After uninstall, I've tried to install 1.91 FP2 edition of the runtime and the shell but with no succes, i.e. instalation wouldn't complete.

    Any help is appreciated.
    hello apach91

    welcome to forum nokia python discussion board.

    Have you installed the python dependencies prior to installing the runtime. If not first install it and then check out. you can have a look at this thread and will know how to get the dependencies.

    enjoy pythoning
    gaba88

  11. #26
    Registered User
    Join Date
    Feb 2009
    Posts
    3

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by gaba88 View Post
    hello apach91

    welcome to forum nokia python discussion board.

    Have you installed the python dependencies prior to installing the runtime. If not first install it and then check out. you can have a look at this thread and will know how to get the dependencies.

    enjoy pythoning
    gaba88

    Thank you for your quick reply.

    I've installed all the dependencies listed in the instalation guide and the emulator works just fine on my PC.

    But I am having trouble running PYS60 on my Nokia E66 phone.
    If there are any dependencies which I should install on the phone please point me to them.

    Thank you,
    apach91

    PS I've received the same error with the 1.92 release

  12. #27
    Super Contributor
    Join Date
    Oct 2007
    Location
    Deva, Romania
    Posts
    3,471

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by apach91 View Post
    If there are any dependencies which I should install on the phone please point me to them.
    If you've installed PythonForS60_1.9.1_Setup.exe (or 1.9.2) go to Start->All Programs->PythonForS60 1.9.1->PyS60 Dependencies. Install pips_nokia_1_4_SS.sis from there on your E66 and it should work.

  13. #28
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by apach91 View Post
    Thank you for your quick reply.

    I've installed all the dependencies listed in the instalation guide and the emulator works just fine on my PC.

    But I am having trouble running PYS60 on my Nokia E66 phone.
    If there are any dependencies which I should install on the phone please point me to them.

    Thank you,
    apach91

    PS I've received the same error with the 1.92 release
    hello apach91

    first you need to download Pythonfors60_1.9.1.exe from maemo garage then install it. After installing you can have a look at the folder c:\\program files\\Python for S60\\PyS60Dependencies.

    Then you need to install those dependencies first in your device and then install your runtime and scriptshell then i guess everything will work fine.

    hope you got the procedure now.

    Enjoy Pythoning
    Gaba88

  14. #29
    Registered User
    Join Date
    Feb 2009
    Posts
    3

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by gaba88 View Post
    hello apach91

    first you need to download Pythonfors60_1.9.1.exe from maemo garage then install it. After installing you can have a look at the folder c:\\program files\\Python for S60\\PyS60Dependencies.

    Then you need to install those dependencies first in your device and then install your runtime and scriptshell then i guess everything will work fine.

    hope you got the procedure now.

    Enjoy Pythoning
    Gaba88
    I've installed PyS60Dependencies and it works now. )
    1.9.2 is freshly installed

    Many thanks to gaba88 and bogdan.galiceanu

  15. #30
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Python for S60 1.9.1 released

    Quote Originally Posted by apach91 View Post
    I've installed PyS60Dependencies and it works now. )
    1.9.2 is freshly installed

    Many thanks to gaba88 and bogdan.galiceanu
    hello apach91

    i feel glad that i was helpful to you. Anyways always feel free to post your queries here if you face any sort of problems.

    Enjoy Pythoning
    Gaba88

Similar Threads

  1. Python for S60 1.4.5 released
    By tvijayan in forum Symbian
    Replies: 24
    Last Post: 2009-10-14, 18:54
  2. Python for Series 60 released on Forum Nokia!
    By eriksmartt in forum Symbian
    Replies: 5
    Last Post: 2009-07-14, 17:00
  3. Python for S60 1.9.0 released
    By tvijayan in forum Symbian
    Replies: 48
    Last Post: 2009-01-27, 15:39
  4. Replies: 6
    Last Post: 2008-08-11, 18:32
  5. Python for S60 1.4.2 released
    By tvijayan in forum Symbian
    Replies: 22
    Last Post: 2008-04-15, 19:20

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×